<html lang="en">
<head>
<title>Specials - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Drawables.html#Drawables" title="Drawables">
<link rel="prev" href="Polygons.html#Polygons" title="Polygons">
<link rel="next" href="Sweeps.html#Sweeps" title="Sweeps">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Specials"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Sweeps.html#Sweeps">Sweeps</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Polygons.html#Polygons">Polygons</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Drawables.html#Drawables">Drawables</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.2.5 Specials</h4>

<p><a name="index-special-273"></a><strong>Syntax:</strong>
<pre class="example">     special $<var>raw_text</var>$[lay=<var>lay_value</var>] <var>point_list</var>
</pre>
   <p class="noindent">Here <code>$</code>
<a name="index-quoting_002c-special-274"></a>can be any character and is used to delimit the start
and end of <var>raw_text</var>.  The command embeds <var>raw_text</var> in the
<code>sketch</code> output after performing substitutions as follows. 
<a name="index-special-argument-substitution-275"></a><a name="index-argument_002c-special-276"></a>
     <ul>
<li><code>#</code><var>i</var> where <var>i</var> is a positive integer is replaced by
the <var>i</var>'th point in <var>point_list</var>. 
<li><code>#{</code><var>i</var><code>}</code> is also replaced as above. 
<li><code>#</code><var>i</var><code>-</code><var>j</var> where <var>i</var> and <var>j</var> are positive
integers is replaced by a string <code>{</code><var>angle</var><code>}</code> where
<var>angle</var> is the polar angle of a vector from the <var>i</var>'th point
in <var>point_list</var> to the <var>j</var>'th. 
<li><code>#{</code><var>i</var><code>-</code><var>j</var><code>}</code> is also replaced as above. 
<li><code>##</code> is replaced with <code>#</code>. 
</ul>
   The forms with braces <span class="samp">{ }</span> are useful when the argument is
immediately followed by a digit that is part of the TeX code.

   <p>The only useful option of <code>special</code> is <code>lay</code>. 
<a name="index-lay-277"></a>See <a href="Internal-options.html#Internal-options">Internal options</a>.

   </body></html>

